Zum Inhalt springen
Leadtime
Deutsch
Esc
navigateopen⌘Jpreview

Mark notification as read

Marks a specific notification as read for the current user.

What happens:

  • The notification’s isRead status is set to true
  • The notification will no longer appear in unread-only queries
  • The read status persists across sessions

Note: You can only mark your own notifications as read.

POST/account/notifications/{id}/read
Authorization
AuthorizationOAuth2 access token · headerrequired
Scopes:api:write
or
AuthorizationBearer token (JWT) · headerrequired
Path parameters
idstringrequired
Responses
200
successbooleanrequired
Operation success flag
400Validation errors
errorsobject
Show properties
idstring[]
messagestring
statusCodenumber
401Unauthorized - Invalid or missing authentication token
403Forbidden - Insufficient API scopes or permissions
Request
curl -X POST "https://leadtime.app/api/public/account/notifications/string/read" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN"
Response
{
  "success": true
}